<?php

    // Only process POST reqeusts.
    if ($_SERVER["REQUEST_METHOD"] == "POST") {
        // Get the form fields and remove whitespace.
        $name = strip_tags(trim($_POST["name"]));
		$name = str_replace(array("\r","\n"),array(" "," "),$name);
        $email = filter_var(trim($_POST["email"]), FILTER_SANITIZE_EMAIL);
        $company = trim($_POST["company"]);
		$company = str_replace(array("\r","\n"),array(" "," "),$company);
		$job = trim($_POST["job"]);
		$job = str_replace(array("\r","\n"),array(" "," "),$job);

        // Check that data was sent to the mailer.
        if ( empty($name) OR empty($company) OR empty($job) OR !filter_var($email, FILTER_VALIDATE_EMAIL)) {
            // Set a 400 (bad request) response code and exit.
            http_response_code(400);
            echo "Oops! There was a problem with your submission. Please complete the form and try again.";
            exit;
        }

        // Set the recipient email address.
        // FIXME: Update this to your desired email address.
        $recipient = "kevin@fiveforty.co.uk, marshall.allender@wool.com";

        // Set the email subject.
        $subject = "Dumfries House Declaration, signed by - $name";

        // Build the email content.
        $email_content = "Name: $name\n";
        $email_content .= "Email: $email\n";
        $email_content .= "Company: $company\n";
		$email_content .= "Job Title: $job\n";

        // Build the email headers.
        $email_headers = "From: $name <$email>";

        // Send the email.
        if (mail($recipient, $subject, $email_content, $email_headers)) {
            // Set a 200 (okay) response code.
            http_response_code(200);
            echo "Thank You! Your message has been sent.";
			
			//insert xml creating bit
			sendtoxml();
			
			
        } else {
            // Set a 500 (internal server error) response code.
            http_response_code(500);
            echo "Oops! Something went wrong and we couldn't send your message.";
        }

    } else {
        // Not a POST request, set a 403 (forbidden) response code.
        http_response_code(403);
        echo "There was a problem with your submission, please try again.";
    }
	
	
	
	function sendtoxml(){
		
		
		$name = $_POST['name'];
		$email = $_POST['email'];
		$company = $_POST['company'];
		$job = $_POST['job'];
		
		$company2 = str_replace("&", "&amp;", $company);
		
		$xml = new DOMDocument('1.0', 'utf-8');
		$xml->formatOutput = true;
		$xml->preserveWhiteSpace = false;
		$xml->load('details.rss');
		
		$element = $xml->getElementsByTagName('reports')->item(0);
		
		$timestamp = $element->getElementsByTagName('timestamp')->item(0);
		$name = $element->getElementsByTagName('name')->item(0);
		$email = $element->getElementsByTagName('email')->item(0);
		$company = $element->getElementsByTagName('company')->item(0);
		$job = $element->getElementsByTagName('job')->item(0);
		
		$newItem = $xml->createElement('reports');
		
		$newItem->appendChild($xml->createElement('timestamp', date("F j, Y, g:i a",time())));;
		
		$newItem->appendChild($xml->createElement('name', $_POST['name']));
		$newItem->appendChild($xml->createElement('email', $_POST['email']));
		$newItem->appendChild($xml->createElement('company', $company2));
		$newItem->appendChild($xml->createElement('job', $_POST['job']));
		
		$xml->getElementsByTagName('entries')->item(0)->appendChild($newItem);
		
		$xml->save('details.rss');
	}
	
	
	

	
?>
